diff -Nru collectd-5.7.1/debian/changelog collectd-5.7.1/debian/changelog
--- collectd-5.7.1/debian/changelog	2017-01-23 20:45:34.000000000 +0100
+++ collectd-5.7.1/debian/changelog	2017-02-05 20:40:33.000000000 +0100
@@ -1,3 +1,11 @@
+collectd (5.7.1-1.1) unstable; urgency=medium
+
+  * Non-maintainer upload.
+  * Drop -ssl -lcrypto from linking (openssl's functionality is not used by
+    collectd). Add drop_lssl_lcrypto_from_linking.patch (Closes: #852924).
+
+ -- Sebastian Andrzej Siewior <sebastian@breakpoint.cc>  Sun, 05 Feb 2017 20:40:33 +0100
+
 collectd (5.7.1-1) unstable; urgency=medium
 
   * New upstream release.
diff -Nru collectd-5.7.1/debian/patches/drop_lssl_lcrypto_from_linking.patch collectd-5.7.1/debian/patches/drop_lssl_lcrypto_from_linking.patch
--- collectd-5.7.1/debian/patches/drop_lssl_lcrypto_from_linking.patch	1970-01-01 01:00:00.000000000 +0100
+++ collectd-5.7.1/debian/patches/drop_lssl_lcrypto_from_linking.patch	2017-02-05 20:40:03.000000000 +0100
@@ -0,0 +1,37 @@
+Author: Sebastian Andrzej Siewior <sebastian@breakpoint.cc>
+Subject: Remove SSL libs from libs
+
+The Makefile/Configure adds "-lssl -lcrypto" but does not depend libssl-dev
+nor does it use any of its functions diretly.
+Depending on those should not be needed unless for static compilation thus
+removing them.
+
+BTS: https://bugs.debian.org/852924
+
+---
+ configure.ac    |    2 +-
+ src/Makefile.am |    2 +-
+ 2 files changed, 2 insertions(+), 2 deletions(-)
+
+--- a/configure.ac
++++ b/configure.ac
+@@ -3574,7 +3574,7 @@ then
+ 
+ 	if test "x$LIBNETAPP_LIBS" = "x"
+ 	then
+-		LIBNETAPP_LIBS="$PTHREAD_LIBS -lxml -ladt -lssl -lm -lcrypto -lz"
++		LIBNETAPP_LIBS="$PTHREAD_LIBS -lxml -ladt -lm -lz"
+ 	fi
+ 	AC_MSG_NOTICE([netapp LIBS: $LIBNETAPP_LIBS])
+ 
+--- a/src/Makefile.am
++++ b/src/Makefile.am
+@@ -825,7 +825,7 @@ if BUILD_PLUGIN_NOTIFY_EMAIL
+ pkglib_LTLIBRARIES += notify_email.la
+ notify_email_la_SOURCES = notify_email.c
+ notify_email_la_LDFLAGS = $(PLUGIN_LDFLAGS)
+-notify_email_la_LIBADD = -lesmtp -lssl -lcrypto
++notify_email_la_LIBADD = -lesmtp
+ endif
+ 
+ if BUILD_PLUGIN_NOTIFY_NAGIOS
diff -Nru collectd-5.7.1/debian/patches/series collectd-5.7.1/debian/patches/series
--- collectd-5.7.1/debian/patches/series	2017-01-23 20:45:34.000000000 +0100
+++ collectd-5.7.1/debian/patches/series	2017-02-05 20:35:54.000000000 +0100
@@ -5,3 +5,4 @@
 mqtt_resource_leak.patch
 mqtt_invalid_symbols.patch
 dpdkstat_goto_label.patch
+drop_lssl_lcrypto_from_linking.patch
